Bug Hunting Session
Bug 94190 - FILESAVE: Footer paragraph loses (direct) formatting when saving Docx as odt and then again as Doc or Docx
Summary: FILESAVE: Footer paragraph loses (direct) formatting when saving Docx as odt ...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx
Depends on:
Blocks: DOCX-Header-Footer
  Show dependency treegraph
 
Reported: 2015-09-13 15:05 UTC by newsandbuy
Modified: 2019-10-07 12:38 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshoots (407.58 KB, image/jpeg)
2015-09-13 15:05 UTC, newsandbuy
Details
sample files (73.47 KB, application/x-zip-compressed)
2015-09-14 14:55 UTC, newsandbuy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description newsandbuy 2015-09-13 15:05:47 UTC
Created attachment 118674 [details]
Screenshoots

Used Programs:
LibreOffice 5.0.1 and 5.0.2
Microsoft Word 2010

The footer has 2 words and 2 fields:

"Seite [pagenumber] von [pages]"
Font: Siemens Sans
Font size: 7

DOCX:
Export with LibreOffice to "Microsoft Word 2007-2013 (.docs)(*.docx)"
Open it in Word 2010.
All fields in the footer lost their format, Word used standart format Arial 11.
That happens on all pages.
Open it in LibreOffice: no problem, all fields correctly formatted.

DOC:
Export with LibreOffice to "Microsoft Word 97-2003 (.doc)(*.doc)"
The first word in footer "Seite" lost it's format, Word used standart format Arial 11.
That happens on all pages.
Open it in LibreOffice: same problem. The first word in footer "Seite" lost it's format, LibreOffice used standart format Arial 11.
Comment 1 Cor Nouws 2015-09-14 12:05:08 UTC
Hi newsandbury,

Can you please attach a sample document?
thanks,
Cor
Comment 2 newsandbuy 2015-09-14 14:55:53 UTC
Created attachment 118705 [details]
sample files
Comment 3 newsandbuy 2015-09-14 14:56:51 UTC
I repeated the tests with newly created files and created this samples.

Scenario 1: I get a file, created with Word 2010, open the file with LibreOffice, make changes and save the file.
This are the steps, that i made.

Step 1
1. create and save test.docx with Word 2010
2. open test.docx with LibreOffice
3. save copie test_lo1.docx
4. save copie test_lo1.doc

Step 2
1. open test.docx with LibreOffice
2. save file as test.odt
3. close test.odt
4. open test.odt with LibreOffice
5. save copie test_lo2.docx
6. save copie test_lo2.doc

Comment:
Now the sample files were only opened and closed unchanged.
The error's in test_lo1.doc and test_lo2.doc are the same,
the error's in test_lo1.doc and test_lo2.docx are the same.

Step 3
1. open test_lo1.docx/test_lo2.docx with Word 2010:
Fields [pagenumber] and [pages] in the footer lost their format, Word used standart format Arial 11.
2. open test_lo1.docx/test_lo2.docx with LibreOffice:
no problems

Step 4
1. open test_lo1.doc/test_lo2.doc with Word 2010:
Word 2010 reports corrected errors: bookmarks and character properties.
The first word in footer "Seite" lost it's format, Word used standart format Arial 11.
The first word in page 2 has an bookmark, generated by Word.
2. open test_lo1.doc/test_lo2.doc with LibreOffice:
The first word in footer "Seite" lost it's format, LibreOffice used standart format Arial 11.

----------------------------------------------------------------------------------------------


Scenario 2: Create a new file with LibreOffice, make changes, save the file and save copies as doc and docx.
This are the steps, that i made.

Step 1
1. create and save Unbenannt.odt with LibreOffice
2. save copie Unbenannt.docx
3. save copie Unbenannt.doc

Comment:
Now the sample files were only opened and closed unchanged.

Step 2
1. open Unbenannt.docx with Word 2010:
Fields [pagenumber] and [pages] in the footer lost their format, Word used Liberation Serif 12 (?).
The footers have bookmarks, generated by Word (no error messages from word).
2. open Unbenannt.docx with LibreOffice:
no problems

Step 3
1. open Unbenannt.doc with Word 2010:
The footers have bookmarks, generated by Word (no error messages from word).
2. open Unbenannt.doc with LibreOffice:
no problems
Comment 4 newsandbuy 2015-10-03 09:40:39 UTC
LibreOffice Version 5.0.2.2

docx: same problem
doc: no problem (solved?)
Comment 5 Buovjaga 2015-10-10 12:55:19 UTC
(In reply to newsandbuy from comment #3)
> Step 3
> 1. open test_lo1.docx/test_lo2.docx with Word 2010:
> Fields [pagenumber] and [pages] in the footer lost their format, Word used
> standart format Arial 11.
> 2. open test_lo1.docx/test_lo2.docx with LibreOffice:
> no problems

Reproduced. It doesn't matter, if you have Siemens Sans installed or not (I installed it).

Win 8.1 32-bit
MSO 2013
LibO Version: 5.0.3.1
Build ID: fd8cfc22f7f58033351fcb8a83b92acbadb0749e
Locale: fi-FI (fi_FI)
Comment 6 Cor Nouws 2015-10-10 14:17:51 UTC
What I did:
1. Open test.docx in 5.0.3.1
2. Select footer, Format > Default formatting
  > Left aligned, Liberation Sans 12 pts...
3. Changed footer style  formatting: Right Aligned, TNR 8 pts
4. Saved
5. Open in MsWord
  > Footer formatting is OK...

So this may help, @newsandbuy?
Comment 7 Cor Nouws 2015-10-10 14:18:34 UTC
@newsandbuy:  do you know if this worked correct in earlier verions?
thanks!
Comment 8 QA Administrators 2016-11-08 11:13:59 UTC Comment hidden (obsolete, spam)
Comment 9 Samuel Mehrbrodt (CIB) 2019-10-07 12:38:10 UTC
This works correctly meanwhile. I tested with current master ( 2eb60e4b4fc45d904e04fd52d485923948c96898 ) and the fields look correct after exporting them from LO and opening the file in Word 2013.